Bug 190310 - Review Request: perl-File-Find-Rule-PPI - Add support for PPI queries to File::Find::Rule
Summary: Review Request: perl-File-Find-Rule-PPI - Add support for PPI queries to File...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 190308
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-05-01 00:18 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-05-06 01:54:41 UTC


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-05-01 00:18:24 UTC
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-File-Find-Rule-PPI.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-File-Find-Rule-PPI-0.03-1.src.rpm

Description:
File::Find::Rule::PPI allows you to integrate PPI content queries into
your File::Find::Rule searches.

Comment 1 Jason Tibbitts 2006-05-01 20:10:06 UTC
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl template.
* license field matches the actual license.
* license is open source-compatible; text is included in the package.
* source files match upstream:
   a63dfd3b079258f4766b6445c1614b0f  File-Find-Rule-PPI-0.03.tar.gz
   a63dfd3b079258f4766b6445c1614b0f  File-Find-Rule-PPI-0.03.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=7,  1 wallclock secs ( 0.24 cusr +  0.09 csys =  0.33 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 2 Jose Pedro Oliveira 2006-05-06 01:54:41 UTC
Thanks for the review.

Imported and built for FC-5 and devel.



Note You need to log in before you can comment on or make changes to this bug.